1.0

1.0

get /v1/apis/{api_id}/stages

Description

스테이지 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKStageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "stages": [
        {
            "active_deployment": "2024-05-17T00:23:17Z",
            "allow_credentials": true,
            "allow_headers": [
                "Content-Type",
                "Authorization"
            ],
            "allow_methods": [
                "GET",
                "POST",
                "PUT",
                "PATCH"
            ],
            "allow_origins": [
                "*"
            ],
            "api_id": "27bb070b564349f8a31cc60734cc36a5",
            "api_summary": [
                {
                    "methods": [
                        "GET",
                        "POST"
                    ],
                    "path": "/"
                },
                {
                    "methods": [
                        "GET",
                        "POST"
                    ],
                    "path": "/test"
                }
            ],
            "cors_enabled": false,
            "created_at": "2026-02-11T06:40:18.594Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "expose_headers": [
                "test1",
                "test2"
            ],
            "invoke_url": "http://test.com/stg",
            "ip_restriction_enabled": false,
            "jwt_enabled": false,
            "max_age": 3600,
            "name": "test-stage"
        }
    ]
}